cordova.define("com.plugin.testPlugin.TestPlugin", function(require, exports, module) {
var exec = require('cordova/exec');

var testAPI = {
    list: function(fnSuccess, fnError){
        exec(fnSuccess, fnError, "TestPlugin", "list", []);
    },
    connect: function(fnSuccess, fnError,name){
        exec(fnSuccess, fnError, "TestPlugin", "connect", [name]);
    },
    disconnect: function(fnSuccess, fnError){
        exec(fnSuccess, fnError, "TestPlugin", "disconnect", []);
    },
    print: function(fnSuccess, fnError,str){
        exec(fnSuccess, fnError, "TestPlugin", "print", [str]);
    },
    printText: function(fnSuccess, fnError,str){
        exec(fnSuccess, fnError, "TestPlugin", "printText", [str]);
    },
    printImage: function(fnSuccess, fnError,str){
        exec(fnSuccess, fnError, "TestPlugin", "printImage", [str]);
    },
    printPOSCommand: function(fnSuccess, fnError,str){
        exec(fnSuccess, fnError, "TestPlugin", "printPOSCommand", [str]);
    },
};
module.exports = testAPI;
});
